import 'package:core_localization/core_localization.dart';
import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

/// A widget that displays the title and subtitle for the Phone Input page.
class PhoneInputHeader extends StatelessWidget {
  /// Creates a [PhoneInputHeader].
  const PhoneInputHeader({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          t.staff_authentication.phone_input.title,
          style: UiTypography.headline1m,
        ),
        const SizedBox(height: UiConstants.space1),
        Text(
          t.staff_authentication.phone_input.subtitle,
          style: UiTypography.body2r.textSecondary,
        ),
      ],
    );
  }
}
